package com.jpsoft.shinestar.modules.base.service;

import java.util.Date;
import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.WatchInfo;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface WatchInfoService {
	WatchInfo get(String id);
	boolean exist(String id);
	int insert(WatchInfo model);
	int update(WatchInfo model);
	int delete(String id);
	List<WatchInfo> list();
	Page<WatchInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    WatchInfo findOneByDeviceNo(String deviceNo);
    int updateHeartBeatUpdateTime(String deviceNo, Date updateTime);
    WatchInfo findDefaultByPersonId(Long personId);
    String encodeContacts(String[] arr);
    List<WatchInfo> onlineList();
}